> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an address

> Retrieves an address, based on a given address ID.



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json get /addresses/{addressId}
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /addresses/{addressId}:
    get:
      tags:
        - Addresses
      summary: Retrieve an address
      description: Retrieves an address, based on a given address ID.
      operationId: findOneAddress
      parameters:
        - name: addressId
          in: path
          required: true
          schema:
            description: The ID of the address to work with.
            type:
              - string
            format: uuid
        - name: accountId
          in: query
          schema:
            type:
              - string
            description: The ID of the account to work with.
            example: F50091
          required: true
        - name: format
          in: query
          schema:
            description: The format to return the addresses in.
            type:
              - string
            enum:
              - iso20022
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                oneOf:
                  - type:
                      - object
                    properties:
                      id:
                        type:
                          - string
                        format: uuid
                        description: The ID of the address.
                      type:
                        type:
                          - string
                        description: The address type.
                        example: office
                      nickName:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        description: The nickname of the address.
                        example: office
                      addressLine1:
                        type:
                          - string
                        minLength: 1
                        maxLength: 256
                        description: The first line of the address.
                        example: Great Building
                      addressLine2:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        description: The second line of the address.
                        example: Four Maple Street
                      addressLine3:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        description: The third line of the address.
                        example: Southwark
                      addressContact:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        description: The name of the contact associated with the address.
                        example: Brian May
                      city:
                        type:
                          - string
                        maxLength: 256
                        description: The city of the address.
                      postcode:
                        type:
                          - string
                        maxLength: 50
                        description: The postal or ZIP code of the address.
                        example: SE13UB
                      country:
                        type:
                          - string
                        maxLength: 256
                        description: The country of the address.
                        example: England
                      countryCode:
                        type:
                          - string
                          - 'null'
                        maxLength: 2
                        description: ISO 3166-1 2 digit country code.
                        example: GB
                    required:
                      - id
                      - type
                      - addressLine1
                      - city
                      - postcode
                      - country
                  - type:
                      - object
                    properties:
                      id:
                        type:
                          - string
                        format: uuid
                        description: The ID of the address.
                      AdrTp:
                        oneOf:
                          - type:
                              - string
                            maxLength: 70
                          - oneOf:
                              - type:
                                  - object
                                properties:
                                  Cd:
                                    type:
                                      - string
                                    enum:
                                      - ADDR
                                      - BIZZ
                                      - DLVY
                                      - HOME
                                      - MLTO
                                      - PBOX
                                required:
                                  - Cd
                              - type:
                                  - object
                                properties:
                                  Prtry:
                                    type:
                                      - object
                                    properties:
                                      Id:
                                        type:
                                          - string
                                        pattern: ^[a-zA-Z0-9]{4}$
                                      Issr:
                                        type:
                                          - string
                                        maxLength: 35
                                      SchmeNm:
                                        type:
                                          - string
                                        maxLength: 35
                                    required:
                                      - Id
                                      - Issr
                                required:
                                  - Prtry
                        type:
                          - 'null'
                      Dept:
                        type:
                          - string
                          - 'null'
                        maxLength: 70
                        description: The department of the address.
                      SubDept:
                        type:
                          - string
                          - 'null'
                        maxLength: 70
                        description: The sub-department of the address.
                      StrtNm:
                        type:
                          - string
                          - 'null'
                        maxLength: 70
                        description: The street name of the address.
                      BldgNb:
                        type:
                          - string
                          - 'null'
                        maxLength: 16
                        description: The building number of the address.
                      BldgNm:
                        type:
                          - string
                          - 'null'
                        maxLength: 35
                        description: The building name of the address.
                      Flr:
                        type:
                          - string
                          - 'null'
                        maxLength: 70
                        description: The floor of the address.
                      PstBx:
                        type:
                          - string
                          - 'null'
                        maxLength: 16
                        description: The post box of the address.
                      Room:
                        type:
                          - string
                          - 'null'
                        maxLength: 70
                        description: The room of the address.
                      PstCd:
                        type:
                          - string
                          - 'null'
                        maxLength: 16
                        description: The postal code of the address.
                      TwnNm:
                        type:
                          - string
                          - 'null'
                        maxLength: 35
                        description: The town name of the address.
                      TwnLctnNm:
                        type:
                          - string
                          - 'null'
                        maxLength: 35
                        description: The town location name of the address.
                      DstrctNm:
                        type:
                          - string
                          - 'null'
                        maxLength: 35
                        description: The district name of the address.
                      CtrySubDvsn:
                        type:
                          - string
                          - 'null'
                        maxLength: 35
                        description: The country sub-division of the address.
                      Ctry:
                        type:
                          - string
                          - 'null'
                        maxLength: 2
                        description: The country of the address.
                    required:
                      - id
              examples:
                Variant1:
                  value:
                    id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    type: office
                    nickName: office
                    addressLine1: Great Building
                    addressLine2: Four Maple Street
                    addressLine3: Southwark
                    addressContact: Brian May
                    city: string
                    postcode: SE13UB
                    country: England
                    countryCode: GB
                Variant2:
                  value:
                    id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    AdrTp: string
                    Dept: string
                    SubDept: string
                    StrtNm: string
                    BldgNb: string
                    BldgNm: string
                    Flr: string
                    PstBx: string
                    Room: string
                    PstCd: string
                    TwnNm: string
                    TwnLctnNm: string
                    DstrctNm: string
                    CtrySubDvsn: string
                    Ctry: st
      security:
        - CommonAuth:
            - accounts:update:any
            - cis:addresses:create
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/addresses/{addressId}?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````